# Returns a inventory transaction from the system by its ID. This method will look up a inventory transaction by the specified ID and return it back. Endpoint: GET /inventoryTransactions/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the inventory transaction to return. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `consistentRead` (string) Indicates the API should force a consistent read on the data source. ## Response 200 fields (application/json): - `bin_id` (string) The bin for this inventory - `cancelled_commitment_id` (string) Self referencing inventory commitment for cancellations - `cogs_quantity_remaining` (number) For receipts, the COGS quantity remaining - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date of the transaction - `ending_quantity` (number, required) For receipts, the ending quantity - `id` (string, required) The unique, string identifier of this inventory transaction - `inventory_receipt_id` (string) Self referencing inventory receipt for adjustments - `invoice_number` (string) Invoice number for receipts/purchase orders - `is_defective` (boolean) Whether or not this is a defective transaction - `notes` (string) Any important notes - `order_id` (string) The order responsible for this transaction - `order_line_item_id` (string) The order line item responsible for this transaction - `product_id` (string, required) The ID of the product holding this inventory - `product_inventory_id` (string, required) The ID of the product inventory to which this transaction is tied - `product_sku` (string) The product SKU (optional) - `product_type` (string, required) The type of product holding this inventory - `purchase_order_id` (string, required) For receipts, the purchase order - `quantity` (integer, required) The quantity of this transaction - `quantity_received` (number, required) The quantity received of a purchase order - `related_transactions` (array) - `related_transactions.transaction_id` (string) The ID of the transaction - `related_transactions.type` (string) The type of transaction - `return_id` (string, required) The return responsible for this transaction - `return_line_item_id` (string, required) The return line item responsible for this transaction - `shipment_id` (string) The shipment that generated this transaction - `starting_quantity` (number, required) For receipts, the starting quantity - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_product_type_id` (string) - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `target_bin_id` (string) For transfers, the target bin - `target_product_inventory_id` (string) For transfers, the target warehouse - `target_warehouse_id` (string, required) For transfers, the ID of the target warehouse - `total_cost` (number) The total cost of the receipt - `transfer_id` (string) The ID of the transfer - `type` (string, required) The type of inventory Enum: "adjustment", "backorder", "commitment", "fulfillment", "purchase order", "receipt", "reservation", "return", "transfer" - `unit_cost` (number) The unit cost - `warehouse_id` (string, required) The ID of the warehouse for this product inventory ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields